/* ======= タイトル ======= */
.title-group {
    display: flex;
    align-items: center;
    gap: 10px;
}

/* ======= タブヘッダー用 ======= */
.tab-heads {
    display: flex;
    width: 100%;
    max-width: 800px;
}

.tab-head{
    display: flex;
    border-radius: 0.7em 0.7em 0 0;
    border-color: rgb(137,195,235);
    background-color: rgba(137, 196, 235, 0.436);
    cursor: pointer;
    transition: .5s;
    width: 30%;
    max-width: 800px;
}

.tab-head.active{
    border-radius: 0.7em 0.7em 0 0;
    background-color: rgb(137,195,235);
    cursor: pointer;
    transition: .5s;
}

/* ======= タブ本体用 ======= */
.tab-body{
    border-radius: 0 0 0.75em 0.75em;
    border-top: 0.15em solid rgb(137,195,235);
    background-color: rgba(255, 255, 255, 1);
    transition: .2s;
    display:none;
}

.tab-body.active{
    display:flex;
    flex-direction:column;
}

/* ======= 整形結果表示用 ======= */
.formatter-result {
    display:none;
}

.formatter-result.active {
    display:flex;
    flex-direction:column;
}

.result-container {
  background: #1e1e1e;
  border-radius: 8px;
  padding: 12px;
  color: #d4d4d4;
  font-family: "Consolas", monospace;
  position: relative;
}

.result-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 8px;
  color: #aaa;
  font-size: 14px;
}

#copyBtn {
  background: #007acc;
  border: none;
  color: white;
  padding: 4px 10px;
  border-radius: 4px;
  cursor: pointer;
  position: absolute;
  top: 10px;
  right: 10px;
}

#copyBtn:hover {
  background: #005fa3;
}

pre {
  margin: 0;
  white-space: pre-wrap;
  word-break: break-word;
}

.kw { color: #569cd6;}
.sbkw { color: #c27fb1;}
.str { color: #ce9178; }


/** ======= フッター用 ======= */
.footer {
    border-radius: 0 0 0.75em 0.75em;
    border-top: 0.15em solid rgb(137,195,235);
    transition: .5s;
}

/** ======= 文字数カウンター用 ======= */
.inputErrorLog {
    position: relative;
}
.CharCounter {
    color: gray;
    position: absolute;
    bottom: 10px;
    right: 10px;
}

/** ======= 整形ボタン ======= */
.btn {
    width: 50%;
    max-width: 100px;
    cursor: pointer;
}

/* 縦横中央揃え */
.center-align {
    display: flex;
    justify-content: center;
    align-items: center;
}